3

After upgrading from version 5.24.1 to 5.24.4 (Joomla) i get the

System Status: Critical File 'C:\wamp\www\Joomla\administrator\components\com_civicrm\civicrm\bower_components/google-code-prettify/styles/demo.html' presents a security risk and should be deleted. Same for: C:\wamp\www\Joomla\administrator\components\com_civicrm\civicrm\bower_components/qunit/addons

Can I remove these files?

4

yes, its safe to remove the folder as it was part of security advisory.

see: CIVI-SA-2020-08: XSS VIA JS LIBRARIES

| improve this answer | |
  • Thank you, i did not see that link. I have removed the file and the folder without any errors. – HanV Apr 23 at 18:33
  • FYI, the advisory has been amended to clarify that you may still need to remove the files manually after the upgrade, depending on exactly how you do the upgrade. – Aidan Apr 24 at 10:44
  • Yes, I understood, but critical warnings after the upgrade (new session application) where new for me. I try always to install every version seperated, but now i had to do some in one upgrade. – HanV Apr 25 at 18:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.